Bison-2.3 (was: Bison-2.2)

Frank Heckenbach ih8mj at fjf.gnu.de
Mon Jun 5 18:50:12 CEST 2006


Prof A Olowofoyeku (The African Chief) wrote:

> On 20 May 2006 at 3:15, Frank Heckenbach  wrote:
> 
> > Bison version 2.2 has been released.
> > 
> > Bison 2.2 also has a new feature:
> > 
> > : * %require "VERSION"
> > :   This specifies that the grammar file depends on features implemented
> > :   in Bison version VERSION or higher.
> > 
> > Since we actively use some newer (2.0 and/or 2.1) features of Bison, we
> > actually should use this check, to avoid users even trying with older
> > Bisons which cannot work. OTOH, since the check is new in 2.2, we can't
> > "%require 2.1", so by using this check we would needlessly (ATM) require
> > Bison 2.2.
> > 
> > What should we do? Perhaps wait until 2.2 is more widespread, then
> > require it?
> 
> I don't see any problem with this. Anyone who wants to build a compiler 
> should also be able to build bison!

Bison version 2.3 has been released now. I've tested that GPC with
my Bison-2.2 patch works well with 2.3, too. Since it's mainly a
bugfix release for 2.2 (though AFAICS the bugs didn't directly
affect GPC), I think we should require 2.3 then, as we probably
shouldn't invite people to install 2.2 now.

Frank

-- 
Frank Heckenbach, frank at g-n-u.de, http://fjf.gnu.de/, 7977168E
GPC To-Do list, latest features, fixed bugs:
http://www.gnu-pascal.de/todo.html
GPC download signing key: ACB3 79B2 7EB2 B7A7 EFDE  D101 CD02 4C9D 0FE0 E5E8





More information about the Gpc mailing list